# Command: arraystore

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    arraystore - pops the first n elements of the stack into an array

Synopsis:

      t1 ... tn n  arraystore -->  array

Examples:

      5 4 2   3  arraystore  -->   [ 5 4 2 ]

Description:

      The stack is invariant under the sequences
      arrayload arraystore
      arraystore arrayload  .
      arraystore is the SLI version of PostScript operator astore.
      In contrast to PostScript SLI arrays are dynamic therefore
      the syntax of aload and astore is obsolete in SLI.
      If used aload and astore issue a warning message.

Parameters:

Bugs:

Remarks:

    There are two obsolete versions existing called aload and astore.

Author:

    Marc-Oliver Gewaltig, Markus Diesmann

SeeAlso:

- arrayload

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/sliarray.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative